Summary:       System performance benchmark
Name:          sysbench
Version:       1.0.20
Release:    1%{?dist}
License:       GPLv2+
Source0:       https://github.com/akopytov/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
URL:           https://github.com/akopytov/sysbench/

Patch0:        sysbench-1.0.20-python3.patch
Patch1:        sysbench-1.0.20-fix_deprecated_egrep_call.patch

BuildRequires: make
BuildRequires: automake
BuildRequires: ck-devel
BuildRequires: docbook-style-xsl
BuildRequires: libaio-devel
BuildRequires: libtool
BuildRequires: libxslt
BuildRequires: luajit-devel
BuildRequires: mariadb-connector-c-devel
BuildRequires: libpq-devel
BuildRequires: /usr/bin/cram
BuildRequires: python3

ExclusiveArch:  %{arm} %{ix86} x86_64 %{mips} aarch64


%description
SysBench is a modular, cross-platform and multi-threaded benchmark
tool for evaluating OS parameters that are important for a system
running a database under intensive load.

The idea of this benchmark suite is to quickly get an impression about
system performance without setting up complex database benchmarks or
even without installing a database at all. Current features allow to
test the following system parameters:
- file I/O performance
- scheduler performance
- memory allocation and transfer speed
- POSIX threads implementation performance
- database server performance (OLTP benchmark)

Primarily written for MySQL server benchmarking, SysBench will be
further extended to support multiple database backends, distributed
benchmarks and third-party plug-in modules.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
rm -r third_party/luajit/luajit/
rm -r third_party/concurrency_kit/ck/
rm -r third_party/cram/


%build
export CFLAGS="%{optflags}"
autoreconf -vif
%configure --with-mysql \
           --with-pgsql \
           --with-system-ck \
           --with-system-luajit \
           --without-gcc-arch

%make_build

%install
%make_install
mv %{buildroot}%{_docdir}/sysbench/manual.html .

%check
cd tests
%ifarch armv7hl
rm t/opt_report_interval.t
%endif
%ifnarch aarch64
./test_run.sh
%else
./test_run.sh || :
%endif

%files
%doc ChangeLog README.md manual.html
%license COPYING
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Wed Aug 07 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.20-1
- initial build
